Show / Hide Table of Contents

# Class CollectionConverter<T, TCollection, TConverter>

A CollectionConverter<T, TCollection> which default constructs a converter for use as the value converter.

##### Inheritance

Object
ValueConverter<TCollection>
CollectionConverter<T, TCollection>
CollectionConverter<T, TCollection, TConverter>

##### Implements

IValueConverter

##### Inherited Members

CollectionConverter<T, TCollection>.BaseConverter
CollectionConverter<T, TCollection>.Create(Int32, Object)
CollectionConverter<T, TCollection>.PopulateFromValue(TCollection, List, Object)
CollectionConverter<T, TCollection>.FromValue(Value, Object)
CollectionConverter<T, TCollection>.ToValue(TCollection, Object)
ValueConverter<TCollection>.ToValue(TCollection, Object)
ValueConverter<TCollection>.FromValue(Value, Object)
ValueConverter<TCollection>.IValueConverter.ToValue(Object, Object)
ValueConverter<TCollection>.IValueConverter.FromValue(Value, Object)
ValueConverter<TCollection>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class CollectionConverter<T, TCollection, TConverter> : CollectionConverter<T, TCollection>, IValueConverter where TCollection : ICollection<T> where TConverter : ValueConverter<T>, new()

##### Type Parameters

Name | Description
--- | ---
T | the value type of the collection
TCollection | the type of the colleciton
TConverter | the type of the converter to use for `T`

### Constructors

| Improve this Doc View Source

#### CollectionConverter()

Creates a CollectionConverter<T, TCollection> using a default constructed `TConverter` element type. Equivalent to calling CollectionConverter(ValueConverter<T>) with a default-constructed `TConverter`.

##### Declaration

    public CollectionConverter()

##### See Also

CollectionConverter(ValueConverter<T>)

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])

### See Also

CollectionConverter<T, TCollection>